Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReplyMarkupForceReply

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReplyMarkup
it.tdlight.jni.TdApi.ReplyMarkupForceReply

Enclosing class:
  TdApi

public static final class TdApi.ReplyMarkupForceReply extends TdApi.ReplyMarkup
Instructs application to force a reply to this message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`inputFieldPlaceholder`
If non-empty, the placeholder to be shown in the input field when the reply is active; 0-64 characters.
`boolean`
`isPersonal`
True, if a forced reply must automatically be shown to the current user.

## Constructor Summary

Constructors
Constructor
Description
`ReplyMarkupForceReply()`
Instructs application to force a reply to this message.
`ReplyMarkupForceReply(boolean isPersonal, String inputFieldPlaceholder)`
Instructs application to force a reply to this message.
`ReplyMarkupForceReply(DataInput input)`
Instructs application to force a reply to this message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isPersonal

public boolean isPersonal
True, if a forced reply must automatically be shown to the current user. For outgoing messages, specify true to show the forced reply only for the mentioned users and for the target user of a reply.

### inputFieldPlaceholder

public String inputFieldPlaceholder
If non-empty, the placeholder to be shown in the input field when the reply is active; 0-64 characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ReplyMarkupForceReply

public ReplyMarkupForceReply()
Instructs application to force a reply to this message.

### ReplyMarkupForceReply

public ReplyMarkupForceReply(boolean isPersonal, String inputFieldPlaceholder)
Instructs application to force a reply to this message.

Parameters:
  `isPersonal` - boolean True, if a forced reply must automatically be shown to the current user. For outgoing messages, specify true to show the forced reply only for the mentioned users and for the target user of a reply.
  `inputFieldPlaceholder` - String If non-empty, the placeholder to be shown in the input field when the reply is active; 0-64 characters.

### ReplyMarkupForceReply

public ReplyMarkupForceReply(DataInput input) throws IOException
Instructs application to force a reply to this message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`